Bug 806005 - "qpid-perftest" and "qpid-latency-test" cannot run due to a problem with Kernel.dll
"qpid-perftest" and "qpid-latency-test" cannot run due to a problem with Kern...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Windows
high Severity high
: 2.1.2
: ---
Assigned To: Cliff Jansen
Petra Svobodová
:
Depends On:
Blocks: 781560
  Show dependency treegraph
 
Reported: 2012-03-22 12:23 EDT by Petra Svobodová
Modified: 2012-12-07 12:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-3759 None None None Never

  None (edit)
Description Petra Svobodová 2012-03-22 12:23:25 EDT
Description of problem:
Running the "qpid-perftest.exe" and "qpid-latency-test.exe" fails with the error message: "The procedure entry point CancelIoEx could not be locatedin the dynamic link library KERNEL32.dll."


Version-Release number of selected component (if applicable):
qpid-cpp-win-3.0.0.2-1


How reproducible:
100% on Windows XP or Windows Server 2003


Steps to Reproduce:
1. Unzip the qpid-cpp-win packages
2. Try to run precompiled examples qpid-perftest.exe and qpid-latency-test.exe.

  
Actual results:
The both applications fail.

Expected results:
The application should run without exceptions.
Comment 2 Cliff Jansen 2012-03-29 12:06:54 EDT
upstream fix: src/qpid/sys/windows/AsynchIO.cpp@1306654

Reworked so that CancelIoEx is replaced with socketclose, which is already in use in the code base.

Older Windows versions should now be ok.
Comment 3 Cliff Jansen 2012-04-09 20:21:58 EDT
Upstream testing has revealed a serious regression from the fix.  I am testing
a revised fix that looks good so far and will post news asap.
Comment 4 Petra Svobodová 2012-04-10 09:18:23 EDT
The both applications "qpid-perftest.exe" and "qpid-latency-test.exe" are able to be run on all supported Windows platforms now.

Tested on Microsoft Windows platforms:
XP-x86 SP3 and x64, Server2003-x86 and x64, Server2008-x86, x64 and R2-x64, 7-x86 and x64 

Verified on packages: 
qpid-cpp-win-3.0.0.3-1 and qpid-cpp-0.14-15

--> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.